
CoCoA-5 - Bug #186

LCM(0,x)

13 Jun 2012 00:43 - John Abbott

Status: Closed Start date: 13 Jun 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Incomplete function Estimated time: 2.00 hours

Target version: CoCoA-5.0.3 Spent time: 3.50 hours

Description

Use QQ[x];

LCM(0,x);  --> type error :-(

LCM(x-x,x); --> WRONG ANSWER!!!

 

Bug reported by Giulia Bianco.

Fix, and update tests.

Might be a CoCoALib bug.

History

#1 - 14 Jun 2012 14:28 - John Abbott

- % Done changed from 0 to 70

Fixed the wrong result -- it was a bug in CoCoALib.

Fixed the type error (in Builtin.C) but fix is rather ugly.

Must update tests, and maybe doc.

Note gcd/lcm with a RAT will still give a type error; this is as we want!

#2 - 14 Jun 2012 16:55 - John Abbott

- Status changed from New to Closed

- % Done changed from 70 to 100

Added new test test-RingElem1 which currently just does some simple sanity checks on gcd and lcm.

Cleaned up the doc for gcd/lcm.

Closing the issue despite the ugliness of the modification to Builtin.C.

#3 - 04 Jul 2012 09:57 - Anna Maria Bigatti

- Category set to Incomplete function

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.3
